Bug 1127204 - MMIO FAULT with GT630M
Summary: MMIO FAULT with GT630M
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 22
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 11:41 UTC by javiertury
Modified: 2016-07-19 20:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:06:13 UTC


Attachments (Terms of Use)
dmesg (182.64 KB, text/plain)
2014-08-06 11:42 UTC, javiertury
no flags Details

Description javiertury 2014-08-06 11:41:10 UTC
Description of problem:

When I suspend or hibernate these messages appear in the screen,
[59531.071631] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002140 [ !ENGINE ]
[59540.048464] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002100 [ !ENGINE ]

However it suspends and hibernates correctly. The message also appears when resuming, but resumes just fine. 


Version-Release number of selected component (if applicable):

Version     : 1.0.9
Release     : 2.fc20


How reproducible: Hibernate or resume

Actual results:

[59531.071631] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002140 [ !ENGINE ]
[59540.048464] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002100 [ !ENGINE ]


Expected results: No error message during suspend/hibernation

Additional info: dmesg attached

Comment 1 javiertury 2014-08-06 11:42:05 UTC
Created attachment 924456 [details]
dmesg

Comment 2 Didier 2014-11-12 10:05:50 UTC
Same here on fedora 21 update, nouveau version 1.0.11

dmesg | grep nouveau
[    2.256386] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[    3.223277] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0c1a80a1
[    3.223283] nouveau  [  DEVICE][0000:01:00.0] Chipset: GF108 (NVC1)
[    3.223287] nouveau  [  DEVICE][0000:01:00.0] Family : NVC0
[    3.223344] nouveau  [   VBIOS][0000:01:00.0] checking PRAMIN for image...
[    3.223352] nouveau  [   VBIOS][0000:01:00.0] ... signature not found
[    3.223358] nouveau  [   VBIOS][0000:01:00.0] checking PROM for image...
[    3.247707] nouveau  [   VBIOS][0000:01:00.0] ... signature not found
[    3.247712] nouveau  [   VBIOS][0000:01:00.0] checking ACPI for image...
[    3.819661] nouveau  [   VBIOS][0000:01:00.0] ... appears to be valid
[    3.819672] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[    3.820003] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    3.820011] nouveau  [   VBIOS][0000:01:00.0] version 70.08.56.00.0a
[    3.821350] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
[    3.821362] nouveau  [   VBIOS][0000:01:00.0] running init tables
[    3.936806] nouveau 0000:01:00.0: irq 41 for MSI/MSI-X
[    3.936816] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[    3.936848] nouveau W[     PFB][0000:01:00.0][0x00000000][ffff880220bc1800] reclocking of this ram type unsupported
[    3.936851] nouveau  [     PFB][0000:01:00.0] RAM type: DDR3
[    3.936853] nouveau  [     PFB][0000:01:00.0] RAM size: 512 MiB
[    3.936855] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    3.938788] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 950000uv
[    3.967744] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    3.967752] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    3.967762] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    3.967788] nouveau  [     CLK][0000:01:00.0] 03: core 50 MHz memory 135 MHz 
[    3.967791] nouveau  [     CLK][0000:01:00.0] 07: core 202 MHz memory 324 MHz 
[    3.967794] nouveau  [     CLK][0000:01:00.0] 0f: core 600 MHz memory 900 MHz 
[    3.967933] nouveau  [     CLK][0000:01:00.0] --: core 202 MHz memory 324 MHz 
[    3.979011] nouveau  [     DRM] VRAM: 512 MiB
[    3.979015] nouveau  [     DRM] GART: 1048576 MiB
[    3.979024] nouveau  [     DRM] TMDS table version 2.0
[    3.979029] nouveau  [     DRM] DCB version 4.0
[    3.979034] nouveau  [     DRM] DCB outp 00: 02011300 00000000
[    3.979040] nouveau  [     DRM] DCB outp 01: 02022362 00020010
[    3.979044] nouveau  [     DRM] DCB conn 00: 00000040
[    3.979049] nouveau  [     DRM] DCB conn 01: 00000100
[    3.979053] nouveau  [     DRM] DCB conn 02: 00001261
[    3.994328] nouveau  [     DRM] MM: using COPY0 for buffer copies
[    3.996540] nouveau 0000:01:00.0: No connectors reported connected with modes
[    4.041989] nouveau  [     DRM] allocated 1024x768 fb: 0x60000, bo ffff880220bd0c00
[    4.042133] nouveau 0000:01:00.0: fb1: nouveaufb frame buffer device
[    4.042150] [drm] Initialized nouveau 1.2.0 20120801 for 0000:01:00.0 on minor 1
[   29.738157] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002140 [ !ENGINE ]

The card is a geforce GT525M on an optimus laptop. The card is working fine with nvidia drivers and bumblebee, but can't switch to nouveau for nvidia.

bumblebeed status after failed optirun (I think both issues are related but don't know which to start with):

[ERROR][XORG] (EE) NOUVEAU(0): [drm] error opening the drm
[ERROR][XORG] (EE) Screen(s) found, but none have a usable configuration.
[ERROR][XORG] (EE)
[ERROR][XORG] (EE) no screens found(EE)
[ERROR][XORG] (EE)
[ERROR][XORG] (EE) Please also check the log file at "/var/log/Xorg.8.log" for additional information.
[ERROR][XORG] (EE)
[ERROR][XORG] (EE) Server terminated with error (1). Closing log file.
[ERROR]X did not start properly

Comment 3 Luca Botti 2015-01-29 22:56:07 UTC
Same here, with a GF119 on optimus laptop (DELL Latitude 6420, 2760QM Cpu, hd . Here the relevant DMESG output:
[    2.918899] nouveau 0000:01:00.0: enabling device (0004 -> 0007)
[    2.919171] nouveau  [  DEVICE][0000:01:00.0] BOOT0  : 0x0d9160a1
[    2.919173] nouveau  [  DEVICE][0000:01:00.0] Chipset: GF119 (NVD9)
[    2.919174] nouveau  [  DEVICE][0000:01:00.0] Family : NVC0
[    2.919194] nouveau  [   VBIOS][0000:01:00.0] checking PRAMIN for image...
[    2.919202] nouveau  [   VBIOS][0000:01:00.0] ... signature not found
[    2.919203] nouveau  [   VBIOS][0000:01:00.0] checking PROM for image...
[    2.942297] nouveau  [   VBIOS][0000:01:00.0] ... signature not found
[    2.942299] nouveau  [   VBIOS][0000:01:00.0] checking ACPI for image...
[    3.505544] nouveau  [   VBIOS][0000:01:00.0] ... appears to be valid
[    3.505546] nouveau  [   VBIOS][0000:01:00.0] using image from ACPI
[    3.505607] nouveau  [   VBIOS][0000:01:00.0] BIT signature found
[    3.505609] nouveau  [   VBIOS][0000:01:00.0] version 75.19.6a.01.01
[    3.505996] nouveau  [ DEVINIT][0000:01:00.0] adaptor not initialised
[    3.506005] nouveau  [   VBIOS][0000:01:00.0] running init tables
[    3.645185] nouveau 0000:01:00.0: irq 29 for MSI/MSI-X
[    3.645192] nouveau  [     PMC][0000:01:00.0] MSI interrupts enabled
[    3.645226] nouveau W[     PFB][0000:01:00.0][0x00000000][ffff88022e6c6800] reclocking of this ram type unsupported
[    3.645228] nouveau  [     PFB][0000:01:00.0] RAM type: DDR3
[    3.645229] nouveau  [     PFB][0000:01:00.0] RAM size: 512 MiB
[    3.645230] nouveau  [     PFB][0000:01:00.0]    ZCOMP: 0 tags
[    3.646610] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 850000uv
[    3.696120] nouveau  [  PTHERM][0000:01:00.0] FAN control: none / external
[    3.696136] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[    3.696160] nouveau  [  PTHERM][0000:01:00.0] internal sensor: yes
[    3.696223] nouveau  [     CLK][0000:01:00.0] 07: core 270 MHz memory 405 MHz 
[    3.696225] nouveau  [     CLK][0000:01:00.0] 0f: core 740 MHz memory 800 MHz 
[    3.696363] nouveau  [     CLK][0000:01:00.0] --: core 270 MHz memory 405 MHz 
[    3.699922] nouveau  [     DRM] VRAM: 512 MiB
[    3.699924] nouveau  [     DRM] GART: 1048576 MiB
[    3.699926] nouveau  [     DRM] TMDS table version 2.0
[    3.699928] nouveau  [     DRM] DCB version 4.0
[    3.699929] nouveau  [     DRM] DCB outp 00: 01000323 00010034
[    3.699931] nouveau  [     DRM] DCB outp 01: 02011300 00000000
[    3.699932] nouveau  [     DRM] DCB outp 02: 08024382 00020010
[    3.699933] nouveau  [     DRM] DCB outp 03: 020323a6 0f220010
[    3.699934] nouveau  [     DRM] DCB outp 04: 02032362 00020010
[    3.699935] nouveau  [     DRM] DCB outp 05: 040433b6 0f220010
[    3.699936] nouveau  [     DRM] DCB outp 06: 04043372 00020010
[    3.699937] nouveau  [     DRM] DCB conn 00: 00000041
[    3.699939] nouveau  [     DRM] DCB conn 01: 00000100
[    3.699940] nouveau  [     DRM] DCB conn 02: 00001246
[    3.699941] nouveau  [     DRM] DCB conn 03: 00002346
[    3.699942] nouveau  [     DRM] DCB conn 04: 00010461
[    3.705898] nouveau  [     DRM] MM: using COPY0 for buffer copies
[    3.782557] nouveau 0000:01:00.0: No connectors reported connected with modes
[    3.810760] nouveau  [     DRM] allocated 1024x768 fb: 0x60000, bo ffff880036924800
[    3.814266] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[    3.814275] nouveau 0000:01:00.0: registered panic notifier
[    3.825781] [drm] Initialized nouveau 1.2.1 20120801 for 0000:01:00.0 on minor 0
[22048.690307] nouveau  [     DRM] suspending console...
[22048.690310] nouveau  [     DRM] suspending display...
[22048.690358] nouveau  [     DRM] evicting buffers...
[22048.701279] nouveau  [     DRM] waiting for kernel channels to go idle...
[22048.701304] nouveau  [     DRM] suspending client object trees...
[22048.701544] nouveau  [     DRM] suspending kernel object tree...
[22049.402563] nouveau  [     DRM] re-enabling device...
[22049.402643] nouveau  [     DRM] resuming kernel object tree...
[22049.402659] nouveau  [   VBIOS][0000:01:00.0] running init tables
[22049.577867] nouveau  [    VOLT][0000:01:00.0] GPU voltage: 850000uv
[22049.577879] nouveau  [  PTHERM][0000:01:00.0] fan management: automatic
[22049.578095] nouveau  [     CLK][0000:01:00.0] --: core 270 MHz memory 405 MHz 
[22049.581041] nouveau  [     DRM] resuming client object trees...
[22049.581126] nouveau  [     DRM] resuming display...
[22049.581512] nouveau  [     DRM] resuming console...
[22075.619674] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002140 [ !ENGINE ]
[22108.649882] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x002140 [ !ENGINE ]

It's a Fedora 21  with all patches applied and latest kernel (3.18.3). ABRT reports hardware failure sometimes (not real, I run DELL diagnostics, nothing found)

Comment 4 Fedora End Of Life 2015-05-29 12:34:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Axel Thimm 2015-06-04 08:12:00 UTC
This still happens on Fedora 22.

Comment 6 Fedora End Of Life 2016-07-19 20:06:13 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.